<?php

//datu apstrāde izvadīšanai

function skatit($t, $sm=1)
{
	global $sid;
	$t = stripslashes($t);
	$t = eregi_replace("((http://))((([a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z;]{2,4}))|(([0-9]{1,3}\.){3}([0-9]{1,3})))((/|\?)[a-z0-9~#%&'_\+=:;\?\.-]*)*)", "<a href=\"\\0\">\\0</a>", $t);
	$t = ereg_replace("([0-9a-z(-._)]*)(@)([0-9a-z(-._)]*\.[a-z]{2,4})", "<a href=\"mailto:\\0\">\\0</a>", $t);
	$t = preg_replace("/\[b\](.*?)\[\/b\]/i","<b>\\1</b>", $t);
  	$t = preg_replace("/\[i\](.*?)\[\/i\]/i","<i>\\1</i>", $t);
  	$t = preg_replace("/\[u\](.*?)\[\/u\]/i","<u>\\1</u>", $t);
  	$t = preg_replace("/\[big\](.*?)\[\/big\]/i","<big>\\1</big>", $t);
  	$t = preg_replace("/\[small\](.*?)\[\/small\]/i","<small>\\1</small>", $t);
	$t = preg_replace("/\[tema\=(.*?)\](.*?)\[\/tema\]/is", "<a href=\"./?kas=atema&amp;aid=$1&amp;sid=$sid\">$2</a>", $t);
	$t = preg_replace("/\[blogs\=(.*?)\](.*?)\[\/blogs\]/is", "<a href=\"./?kas=lasitblogu&amp;bid=$1&amp;sid=$sid\">$2</a>", $t);

	if ($sm!=2)
	{
		$t = smaidi($t);
	}
	
	return $t;
}

//datu apstrāde drošai lietošanai

function drosiba($teksts)
{
	$teksts = trim($teksts);
	$teksts = str_replace('\n', '', $teksts);
	$teksts = mysql_real_escape_string($teksts);
	$teksts = htmlspecialchars($teksts, ENT_QUOTES);
	$teksts = str_replace('  ', ' ', $teksts);
	
	return $teksts;
}

//pavadītais laiks

function plaiks($a)
{
$n = floor($a/604800);
$d = floor(($a%604800)/86400);
$s = floor((($a%604800)%86400)/3600);
$m = floor(((($a%604800)%86400)%3600)/60);
$ss = floor($a-($n*604800)-($d*86400)-($s*3600)-($m*60)); 
$r = '';
if ($n>0) 
{
$r .= '<b>'.$n.'</b> nedēļu(as) ';
}
if ($d>0) 
{
$r .= '<b>'.$d.'</b> dienu(as), ';
}
if ($s>0) 
{
$r .= '<b>'.$s.'</b> stundu(as), ';
}
if ($m>0) 
{
$r .= '<b>'.$m.'</b> minūti(es), ';
}
if ($ss>0) 
{
$r .= '<b>'.$ss.'</b> sekundi(es),';
}
return $r;
}

//lieko simbolu izgriešana nikam un parolei

function izgriezt_simbolus($niks)
{
	$niks = str_replace('\'', '', $niks);
	$niks = str_replace('"', '', $niks);
	$niks = str_replace('+', '', $niks);
	$niks = str_replace('#', '', $niks);
	$niks = str_replace('(', '', $niks);
	$niks = str_replace(')', '', $niks);
	$niks = str_replace('[', '', $niks);
	$niks = str_replace(']', '', $niks);
	$niks = str_replace('{', '', $niks);
	$niks = str_replace('}', '', $niks);
	$niks = str_replace('*', '', $niks);
	$niks = str_replace('&', '', $niks);
	$niks = str_replace('^', '', $niks);
	$niks = str_replace('$', '', $niks);
	$niks = str_replace('@', '', $niks);
	$niks = str_replace('!', '', $niks);
	$niks = str_replace('/', '', $niks);
	$niks = str_replace('?', '', $niks);
	$niks = str_replace('.', '', $niks);
	$niks = str_replace(',', '', $niks);
	$niks = str_replace('_', '', $niks);
	$niks = str_replace('-', '', $niks);
	$niks = str_replace('>', '', $niks);
	$niks = str_replace('<', '', $niks);
	$niks = str_replace('\\', '', $niks);
	$niks = str_replace('%', '', $niks);
	$niks = str_replace('=', '', $niks);
	$niks = str_replace('~', '', $niks);
	$niks = str_replace('`', '', $niks);
	$niks = str_replace('|', '', $niks);
	$niks = str_replace(' ', '', $niks);
	$niks = str_replace(':', '', $niks);
	$niks = str_replace(';', '', $niks);
	return trim($niks);
}

//browsera un ip noteikšana

function aparats()
{
	
$a = array();
$miniopera = getenv('HTTP_X_OPERAMINI_PHONE_UA');

if (empty($miniopera))
{
	$a['aparats'] = strtok(getenv('HTTP_USER_AGENT'), ' ');
	$test = getenv('HTTP_X_FORWARDED_FOR');
	
	if (empty($test))
	{
		$a['ip'] = getenv('REMOTE_ADDR');
	}
	else
	{
		$a['ip'] = getenv('REMOTE_ADDR').', '.getenv('HTTP_X_FORWARDED_FOR');
	}
}
else
{
	$a['aparats'] = 'MiniOpera('.strtok($miniopera, ' ').')';
	$a['ip'] = getenv('REMOTE_ADDR').', '.getenv('HTTP_X_FORWARDED_FOR');
}

$a['aparats'] =  drosiba($a['aparats']);

return $a;

}

//pievienojam online reģisrētos un nereģistrētos lietotājus

function kaskur($kur, $ses)
{
	$a = aparats();
	$dzesamie = time()-$ses;
	mysql_query("DELETE FROM online WHERE laiks<'".$dzesamie."'");
	
	if (trim($_GET['sid'])!='')
	{
		$sid = mysql_real_escape_string(trim($_GET['sid']));
		$ir_online = mysql_fetch_array(mysql_query("SELECT id FROM online WHERE sesija = '".$sid."'"));
		
		if ($ir_online[0]>0)
		{
			$info = infoid($ir_online[0]);
			mysql_query("UPDATE online SET laiks='".time()."' , kur='".$kur."' WHERE sesija = '".$sid."'");
			mysql_query("UPDATE lietotaji SET ped_aktivitate='".time()."' , online_laiks= online_laiks + '".(time()-$info['ped_aktivitate'])."' , 
			ip='".$a['ip']."' , browseris='".$a['aparats']."' , kliki=kliki+1 WHERE id = '".$ir_online[0]."'");
		}
		else
		{
			$ir_online = mysql_fetch_array(mysql_query("SELECT COUNT(*) FROM online WHERE ip='".$a['ip']."' AND browseris='".$a['aparats']."'"));
		
			if ($ir_online[0]>0)
			{
				mysql_query("UPDATE online SET laiks='".time()."' , kur='".$kur."' WHERE ip='".$a['ip']."' AND browseris='".$a['aparats']."'");
			}
			else
			{
				mysql_query("INSERT INTO online SET laiks='".time()."' , browseris='".$a['aparats']."' , ip='".$a['ip']."' , kur='".$kur."'");
			}
			
			$sid = '';
		}
	}
	else
	{
		$ir_online = mysql_fetch_array(mysql_query("SELECT COUNT(*) FROM online WHERE ip='".$a['ip']."' AND browseris='".$a['aparats']."'"));
		
		if ($ir_online[0]>0)
		{
			mysql_query("UPDATE online SET laiks='".time()."' , kur='".$kur."' WHERE ip='".$a['ip']."' AND browseris='".$a['aparats']."'");
		}
		else
		{
			mysql_query("INSERT INTO online SET laiks='".time()."' , browseris='".$a['aparats']."' , ip='".$a['ip']."' , kur='".$kur."'");
		}
		
		$sid = '';
	}
	
	return $sid;
}

//iegūstam informāciju par lietotāju no id

function infoid($id)
{
	$id = intval($id);
	$info = mysql_fetch_array(mysql_query("SELECT * FROM lietotaji WHERE id='".$id."'"), MYSQL_ASSOC);
	
	return $info;
}

//iegūstam informāciju par lietotāju no nika

function infoniks($niks)
{
	$niks = izgriezt_simbolus($niks);
	$info = mysql_fetch_array(mysql_query("SELECT * FROM lietotaji WHERE niks='".$niks."'"), MYSQL_ASSOC);
	
	return $info;
}

//iegūstam id no sesijas ($sid)

function idsid($sid)
{
	$id = mysql_fetch_array(mysql_query("SELECT id FROM online WHERE sesija='".$sid."'"), MYSQL_ASSOC);
	
	return $id['id'];
}

//automātiski uzliekam smaidiem kodus un nomainām un kodus nomainām pret attēliem
//smaidiem nedrīkst būt līdzīgi nosaukumi, piemēram, d.png un dusha.png pārklājas, tāpēc dusha.png smaids nestrādās,
//bet, piemēram, rieksts.png un ritenis.png nepārklājas

function smaidi($t=0, $r=0)
{
	$smaidi1 = glob('smaidi/*.png');
	sort($smaidi1, SORT_STRING);
	$smaidi2 = str_replace('smaidi/', '', $smaidi1);
	$smaidi2 = str_replace('.png', '', $smaidi2);
	$smaidi3 = array();
	$smaidi4 = array();
	$i = 0;
	
	foreach ($smaidi2 as $val)
	{
		if (substr($val, 0, 1)!=1 && substr($val, 0, 1)!=2)
		{
			$smaidi3[] = ':'.trim($val);
		}
		else
		{
			$smaidi3[] = trim($val);
		}
	}
	
	$smaidi3 = str_replace('1', '=', $smaidi3);
	$smaidi3 = str_replace('2', ';', $smaidi3);
	
	foreach ($smaidi1 as $val)
	{
		$smaidi4[] = '<img src="'.trim($val).'" alt="'.$smaidi3[$i].'"/>';
		$i++;
	}
	
	if ($r==0)
	{
		$t = str_ireplace($smaidi3, $smaidi4, $t);
		
		return $t;
	}
	else
	{
		return array('ko' => $smaidi3, 'uzko' => $smaidi4);
	}
}

//veicam darbības ar punktiem

function punkti($darbiba, $punkti, $id)
{
	$id = intval($id);
	
	if ($darbiba=='+')
	{
		mysql_query("UPDATE lietotaji SET punkti=punkti + '".$punkti."' WHERE id='".$id."'");
		return false;
	}
	else
	{
		$p = mysql_fetch_array(mysql_query("SELECT punkti FROM lietotaji WHERE id='".$id."'"));
		
		if ($punkti>$p[0])
		{
			return '<b>!!! Tev ir pārāk maz punktu, lai izdarītu šo darbību!</b><br/>';
		}
		else
		{
			mysql_query("UPDATE lietotaji SET punkti=punkti - '".$punkti."' WHERE id='".$id."'");
			return false;
		}
	}
}

//atrodam unikālu bildes nosaukumu
		
function bildes_nosaukums($niks)
{
	$bildes = glob('foto/'.$niks.'_*.jpg');
			
	if (empty($bildes))
	{
		$nosaukums = $niks.'_1.jpg';
	}
	else
	{
		$k = @count($bildes);
				
		while (is_file('foto/'.$niks.'_'.$k.'.jpg')!=false)
		{
			$k++;
		}
				
		$nosaukums = $niks.'_'.$k.'.jpg';
	}
			
	return $nosaukums;
}

//pievienojam apmeklētāju, kas skatījās profilu

function skatijas($kas, $koo, $skat)
{
	$ko = mysql_fetch_array(mysql_query("SELECT COUNT(*), MIN(aid) FROM apmeklejumi WHERE ko='".$koo."'"));
	
	if ($ko[0]>=$skat)
	{
		mysql_query("DELETE FROM apmeklejumi WHERE aid='".$ko[1]."'");
	}
	
	mysql_query("INSERT INTO apmeklejumi SET kas='".$kas."' , ko='".$koo."' , laiks='".time()."'");
	mysql_query("UPDATE lietotaji SET skatijas = skatijas + 1 WHERE id='".$koo."'");
}

//pārbaudām vai lietotājam nav pienākusi jauna vēstule

function vestules()
{
	global $sid;
	$pas = mysql_fetch_array(mysql_query("SELECT COUNT(*) FROM pasts WHERE kam='".idsid($sid)."' AND lasita='1'"));
	
	if ($pas[0]<1)
	{
		return false;
	}
	else
	{
		return $pas[0]; 
	}
}

//pievienojam palīgu darbības atskaiti

function atskaite($kas, $darbiba)
{
	mysql_query("INSERT INTO atskaites SET kas='".$kas."' , darbiba='".$darbiba."' , laiks='".time()."'");
}

//statusa noteikšana

function statuss($m)
{
	if ($m['amats']==3)
	{
		$statuss = 'Īpašnieks';
	}
	elseif ($m['amats']==2)
	{
		$statuss = 'Palīgs';
	}
	elseif ($m['punkti']<1000)
	{
		$statuss = 'Jauniņais';
	}
	elseif ($m['punkti']<1500)
	{
		$statuss = 'Biežs apmeklētājs';
	}
	elseif ($m['punkti']<2000)
	{
		$statuss = 'Iezemietis';
	}
	elseif ($m['punkti']<3000)
	{
		$statuss = 'Indiānis';
	}
	elseif ($m['punkti']<4000)
	{
		$statuss = 'Virsaitis';
	}
	else
	{
		$statuss = 'Pēdējais mohikānis';
	}
	
	return $statuss;
}

//online teksts

function online_teksts($sid, $teksts)
{
	if (empty($teksts))
	{
		$online_teksts = mysql_fetch_array(mysql_query("SELECT teksts FROM online WHERE sesija='".$sid."'"));
		return $online_teksts[0];
	}
	else
	{
		mysql_query("UPDATE online SET teksts='".drosiba($teksts)."' WHERE sesija='".$sid."'");
	}
}

//mapes nosaukums

function mapes_nosaukums($mape)
{
	$nosaukums = mysql_fetch_array(mysql_query("SELECT * FROM ielades_mapes WHERE mape='".$mape."'"), MYSQL_ASSOC);
		
	if (empty($nosaukums['nosaukums']))
	{
		$nos = ucfirst($mape);
	}
	else
	{
		$nos = stripslashes($nosaukums['nosaukums']);
	}
	
	return $nos;
}

//informācija par failu

function faila_info($mape, $fails)
{
	$info = array();
	$info['svars'] = mervieniba(filesize('ielades/'.$mape.'/'.$fails));
	$nosaukums = mysql_fetch_array(mysql_query("SELECT * FROM ielades_faili WHERE fails='".$fails."'"), MYSQL_ASSOC);
	$info['ieladets'] = (int)$nosaukums['ieladets'];
	$info['fid'] = $nosaukums['fid'];
	$info['apraksts'] = $nosaukums['apraksts'];
	$info['pedeja_ielade'] = $nosaukums['pedeja_ielade'];
		
	if (empty($nosaukums['nosaukums']))
	{
		$info['nosaukums'] = ucfirst($fails);
		$formats = pathinfo($fails);
	}
	else
	{
		$info['nosaukums'] = stripslashes($nosaukums['nosaukums']);
		$formats = pathinfo($nosaukums['fails']);
	}
	
	$info['formats'] = $formats['extension'];
		
	return $info;
}

//svars ar mērvienību

function mervieniba($svars /*baitos*/)
{
	$mb = floor($svars/(1024*1024));
	$kb = floor(($svars%(1024*1024))/1024);
	$m = '';
	
	if ($mb>0)
	{
		$m = '<b>'.$mb.'</b> mb';
	}
	
	if ($kb>0)
	{
		$m = $m.' <b>'.$kb.'</b> kb';
	}
	
	return $m;
}

//failu skaits ielādēs

function ielades_skaits()
{
	$mapes = glob('ielades/*', GLOB_ONLYDIR);
	$sk = 0;
	
	foreach ($mapes as $mape)
	{	
		if ($mape!='.' && $mape!='..')
		{	
			$msk = @count(glob($mape.'/*.*'));
			$sk = $sk+$msk;
			
		}
	}
	
	return $sk;
}

//nosakām lapas stilu

function css($sid)
{
	global $n_css;
	
	if (!empty($sid))
	{
		$css = mysql_fetch_array(mysql_query("SELECT a.sesija, b.css_stils FROM online AS a, lietotaji AS b WHERE a.sesija='".$sid."' AND b.id=a.id"));
		
		if (is_file('css/'.$css[1]))
		{
			$n_css = 'css/'.$css[1];
		}
	}
	
	return $n_css;
}

//parādām īpašnieka pievienotos linkus

function linki()
{
	$cik_linku = mysql_fetch_array(mysql_query("SELECT COUNT(*) FROM linki"));
	$linki = mysql_query("SELECT * FROM linki ORDER BY lid DESC");
	
	if ($cik_linku[0]>0)
	{
		while ($links = mysql_fetch_array($linki, MYSQL_ASSOC))
		{
			echo '&#8226; <a href="'.$links['links'].'">'.stripslashes($links['nosaukums']).'</a><br/>';
		}
	}
}
?>